/*
 * This file is part of the StorkPDF software library.
 * Copyright (c) 2010,2011 European Commission
 * Authors: Indra (www.indra.es), et al.
 *
 * This work  is Open Source and licensed by the European Commission under the
 * conditions of the Affero General Public License v3 
 * (http://www.gnu.org/licenses/agpl.html ); you may not use this file except 
 * in compliance with the License. Unless required by applicable law or agreed 
 * to in writing, software distributed under the License is distributed on an 
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions
 * and limitations under the License.
 */

package eu.stork.support;
import java.util.HashMap;


/**
 * Metadata used in the signature. To define additional properties about displayed signature in the PDF document.   
 *
 */
public class Metadata {
	 public void setTitle(String title) {
		this.title = title;
	}
	private HashMap<String, String> info = new HashMap<String, String>();
	 private String title;
	 private String subject;
	 private String keywords;
	 private String producer;
	 private String creator; 
   
	
	public void setSubject(String subject) {
		getInfo().put("Subject",subject);
		
	}
	
	public void setKeywords(String keywords) {
		getInfo().put("Keywords",keywords);
	}
	
	public void setProducer(String producer) {
		getInfo().put("Producer",producer);

	}
	
	public void setCreator(String creator) {
		getInfo().put("Creator", creator);
		
	}
	public HashMap<String, String> getInfo() {
		return info;
	}
	public void setInfo(HashMap<String, String> info) {
		this.info = info;
	}
	public String getAuthor()
     {
         return (String)getInfo().get("Author"); 
         
     }
	public void setAuthr(String author) {
		getInfo().put("Author",author);
	}
     public String getTitle()
     {
    	  return (String)getInfo().get("Title"); 
         
     }
     public String getSubject()
     {
    	  return (String)getInfo().get("Subject"); 
     }
     public String getKeywords()
     {
    	  return (String)getInfo().get("Keywordss"); 
         
     }
     public String getProducer()
     {
    	  return (String)getInfo().get("Producer"); 
         
     }

     public String getCreator()
     {
    	  return (String)getInfo().get("Creator"); 
         
     }

     public HashMap<String, String> getMetaData()
     {
         return this.info;
     }
     public byte[] getStreamedMetaData()
     {
//         MemoryStream os = new System.IO.MemoryStream();
//         XmpWriter xmp = new XmpWriter(os, this.info);
//         xmp.Close();
//         return os.ToArray();
    	 return null;
     }
}
