﻿// This file is part of the StorkPDF software library.
// Copyright (c) 2010,2011 European Commission
// Authors: Agência para a Modernização Administrativa (www.ama.pt), et al.
//
// This work  is Open Source and licensed by the European Commission under the
// conditions of the Affero General Public License v3 
// (http://www.gnu.org/licenses/agpl.html ); you may not use this file except 
// in compliance with the License. Unless required by applicable law or agreed 
// to in writing, software distributed under the License is distributed on an 
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
// or implied. See the License for the specific language governing permissions
// and limitations under the License.

 using System;
using System.Collections.Generic;
using System.Text;
using iTextSharp.text.pdf;

namespace PdfGenerator
{
    interface IPDFComponent
    {
        void WriteField(string fieldToWrite, string fieldValue, PdfStamper pdfStamper_);

        string ReadField(string fieldToRead, PdfStamper pdfStamper_);        

        bool SignPDFDocument(string certPath_, string pdfFilled_, string pdfToSign_);

        bool CheckPDFDocumentSignature(PdfReader pr_);       
    }
}
